<? $this->headScript()
		//->appendFile(_st('agency-escorts.js'), 'text/javascript')
		->appendScript('Cubix.AgencyEscorts.container = "container_agency_escorts"');
?>

<? foreach($this->a_escorts as $k => $a_escort): ?>
<? if ( ! $a_escort instanceof Model_EscortV2Item ) $a_escort = new Model_EscortV2Item($a_escort) ?>
<div class="thumb">
	<a href="<?= $this->getLink('profile', array('showname' => $a_escort->showname, 'escort_id' => $a_escort->id)) ?>" class="photo p3">
		<img src="<?= $a_escort->getMainPhoto()->getUrl('sthumb'); ?>" alt="" width="60" height="81">
	</a>
</div>
<? endforeach; ?>

<? $pages_count = ceil($this->a_escorts_count / $this->widgetPerPage); ?>
<? if ( $pages_count != 1 ): ?>
<p>
	<?  $pages = $this->paging($this->a_escorts_count, $this->agencies_page, $this->widgetPerPage); ?>
	<? if ( 1 < $this->agencies_page): ?>
		<a class="prev" href="#" onclick="return Cubix.AgencyEscorts.Load('<?= $this->lang() ?>', <?= ($this->agencies_page - 1) ?>, <?= $this->escort_id ?>, <?= $this->agency_id ?>);"></a>
	<? endif ?>

	<? foreach ( $pages as $page ): ?>
	<? if ( $this->agencies_page == $page ): ?>
		<span><?= $page ?></span>
	<? else: ?>
		<a class="p" href="#" onclick="return Cubix.AgencyEscorts.Load('<?= $this->lang() ?>', <?= $page ?>, <?= $this->escort_id ?>, <?= $this->agency_id ?>);"><?= $page ?></a>
	<? endif ?>
	<? endforeach ?>

	<? if ( $pages_count > $this->agencies_page): ?>
		<a class="next" href="#" onclick="return Cubix.AgencyEscorts.Load('<?= $this->lang() ?>', <?= ($this->agencies_page + 1) ?>, <?= $this->escort_id ?>, <?= $this->agency_id ?>);"></a>
	<? endif ?>
</p>
<? endif;?>		        
